TR(1)

NAME
tr - translate or delete characters

SYNOPSIS
tr [OPTION]... SET1 [SET2]

DESCRIPTION

Translate, squeeze, and/or delete characters from standard input, writing to standard output.

-c, --complement
    first complement SET1

-d, --delete
    delete characters in SET1, do not translate

-s, --squeeze-repeats
    replace sequence of characters with one

-t, --truncate-set1
    first truncate SET1 to length of SET2

--help
    display this help and exit

--version
    output version information and exit

SETs are specified as strings of characters. Most represent themselves. Interpreted sequences are:

\NNN
    character with octal value NNN (1 to 3 octal digits)

\\  backslash

\a  audible BEL

\b  backspace

\f  form feed

\n  new line

\r  return

\t  horizontal tab

\v  vertical tab

CHAR1-CHAR2
    all characters from CHAR1 to CHAR2 in ascending order

[CHAR1-CHAR2]
    same as CHAR1-CHAR2, if both SET1 and SET2 use this

[CHAR*]
    in SET2, copies of CHAR until length of SET1

[CHAR*REPEAT]
    REPEAT copies of CHAR, REPEAT octal if starting with 0

[:alnum:]
    all letters and digits

[:alpha:]
    all letters

[:blank:]
    all horizontal whitespace

[:cntrl:]
    all control characters

[:digit:]
    all digits

[:graph:]
    all printable characters, not including space

[:lower:]
    all lower case letters

[:print:]
    all printable characters, including space

[:punct:]
    all punctuation characters

[:space:]
    all horizontal or vertical whitespace

[:upper:]
    all upper case letters

[:xdigit:]
    all hexadecimal digits

[=CHAR=]
    all characters which are equivalent to CHAR

Translation occurs if -d is not given and both SET1 and SET2 appear. -t may be used only when translating. SET2 is extended to length of SET1 by repeating its last character as necessary. Excess characters of SET2 are ignored. Only [:lower:] and [:upper:] are guaranteed to expand in ascending order; used in SET2 while translating, they may only be used in pairs to specify case conversion. -s uses SET1 if not translating nor deleting; else squeezing uses SET2 and occurs after translation or deletion.

AUTHOR
Written by Jim Meyering.

REPORTING BUGS
Report bugs to <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for tr is maintained as a Texinfo manual. If the info and tr programs are properly installed at your site, the command

    info tr

should give you access to the complete manual.